{
  "model": {
    "type": "minecraft:select",
    "cases": [
      {
        "model": {
          "type": "minecraft:model",
          "model": "overlyrealistic:item/bone_flute"
        },
        "when": [
          "gui",
          "ground",
          "fixed",
          "on_shelf"
        ]
      }
    ],
    "fallback": {
      "type": "minecraft:condition",
      "property": "minecraft:using_item",
      "on_true": {
        "type": "minecraft:model",
        "model": "overlyrealistic:item/bone_flute_model_using"
      },
      "on_false": {
        "type": "minecraft:model",
        "model": "overlyrealistic:item/bone_flute_model"
      }
    },
    "property": "minecraft:display_context"
  }
}